Name: codeblocks

Version: 8.02

Release: 1

Distribution: CCux

Packager: Lars Gottschol <largot@web.de>

Source: %{name}-%{version}.tar.bz2

Summary: OpenSource Cross Platform Free C++ IDE

URL: 	http://codeblocks.org/

License: GPL

Group: Development

BuildRoot: %{_tmppath}/%{name}-buildroot

%description

Code::Blocks is a free C++ IDE built specifically to meet the most demanding needs of its users. It was designed, right from the start, to be extensible and configurable.

%package plugins
Summary:                Code::Blocks contrib plugins
Group:                  Development
Requires:               codeblocks = %{version}

%description plugins

Additional Code::Blocks plugins



%package devel
Summary: Code::Blocks SDK to develop your own plugins.
Group:   Development
Requires: wxGTK , codeblocks = %{version}

%description devel
Code::Blocks SDK to develop your own plugins.

%post

ldconfig

%postun

ldconfig

%prep

%setup -n codeblocks-%{version}

%build

./bootstrap
./configure --prefix=/usr --with-contrib-plugins=all

make

%install

rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT"

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)

%doc README COPYING AUTHORS BUGS COMPILERS TODO NEWS ChangeLog

/usr/bin/codeblocks
/usr/bin/cb_console_runner
/usr/lib/libcodeblocks.so.*
/usr/share/applications/codeblocks.desktop
/usr/share/icons/gnome/48x48/mimetypes/*
/usr/share/mime/packages/codeblocks.xml
/usr/share/pixmaps/codeblocks.png
/usr/share/codeblocks/astyle.zip
/usr/share/codeblocks/autosave.zip
/usr/share/codeblocks/classwizard.zip
/usr/share/codeblocks/codecompletion.zip
/usr/share/codeblocks/compiler.zip
/usr/share/codeblocks/debugger.zip
/usr/share/codeblocks/defaultmimehandler.zip
/usr/share/codeblocks/manager_resources.zip
/usr/share/codeblocks/resources.zip
/usr/share/codeblocks/scriptedwizard.zip
/usr/share/codeblocks/start_here.zip
/usr/share/codeblocks/tips.txt
/usr/share/codeblocks/todo.zip
/usr/share/codeblocks/icons/*
/usr/share/codeblocks/images/*.png
/usr/share/codeblocks/images/16x16/*
/usr/share/codeblocks/images/codecompletion/*
/usr/share/codeblocks/images/settings/*
/usr/share/codeblocks/lexers/*
/usr/share/codeblocks/plugins/libastyle.*
/usr/share/codeblocks/plugins/libautosave.*
/usr/share/codeblocks/plugins/libclasswizard.*
/usr/share/codeblocks/plugins/libcodecompletion.*
/usr/share/codeblocks/plugins/libcompiler.*
/usr/share/codeblocks/plugins/libdebugger.*
/usr/share/codeblocks/plugins/libdefaultmimehandler.*
/usr/share/codeblocks/plugins/libscriptedwizard.*
/usr/share/codeblocks/plugins/libtodo.*
/usr/share/codeblocks/scripts/*
/usr/share/codeblocks/templates/*
/usr/share/man/*


%files plugins
%defattr(-,root,root)

/usr/bin/cb_share_config
/usr/bin/codesnippets
/usr/share/codeblocks/openfileslist.zip
/usr/share/codeblocks/AutoVersioning.zip
/usr/share/codeblocks/BrowseTracker.zip
/usr/share/codeblocks/byogames.zip
/usr/share/codeblocks/cb_koders.zip
/usr/share/codeblocks/codesnippets.zip
/usr/share/codeblocks/codestat.zip
/usr/share/codeblocks/dragscroll.zip
/usr/share/codeblocks/envvars.zip
/usr/share/codeblocks/exporter.zip
/usr/share/codeblocks/help_plugin.zip
/usr/share/codeblocks/keybinder.zip
/usr/share/codeblocks/lib_finder.zip
/usr/share/codeblocks/Profiler.zip
/usr/share/codeblocks/RegExTestbed.zip
/usr/share/codeblocks/SymTab.zip
/usr/share/codeblocks/ThreadSearch.zip
/usr/share/codeblocks/wxsmith.zip
/usr/share/codeblocks/wxsmithcontribitems.zip
/usr/share/codeblocks/projectsimporter.zip
/usr/share/codeblocks/images/wxsmith/*
/usr/share/codeblocks/images/codesnippets/*
/usr/share/codeblocks/images/ThreadSearch/*
/usr/share/codeblocks/lib_finder/*
/usr/share/codeblocks/plugins/libAutoVersioning.la
/usr/share/codeblocks/plugins/libAutoVersioning.so
/usr/share/codeblocks/plugins/libopenfileslist.*
/usr/share/codeblocks/plugins/libbyogames.*
/usr/share/codeblocks/plugins/libBrowseTracker.la
/usr/share/codeblocks/plugins/libBrowseTracker.so
/usr/share/codeblocks/plugins/libcb_koders.*
/usr/share/codeblocks/plugins/libcodesnippets.*
/usr/share/codeblocks/plugins/libcodestat.*
/usr/share/codeblocks/plugins/libdragscroll.*
/usr/share/codeblocks/plugins/libenvvars.*
/usr/share/codeblocks/plugins/libexporter.*
/usr/share/codeblocks/plugins/libhelp_plugin.*
/usr/share/codeblocks/plugins/libkeybinder.*
/usr/share/codeblocks/plugins/liblib_finder.*
/usr/share/codeblocks/plugins/libProfiler.*
/usr/share/codeblocks/plugins/libRegExTestbed.*
/usr/share/codeblocks/plugins/libSymTab.*
/usr/share/codeblocks/plugins/libThreadSearch.la
/usr/share/codeblocks/plugins/libThreadSearch.so
/usr/share/codeblocks/plugins/libwxsmith.*
/usr/share/codeblocks/plugins/libprojectsimporter.*
/usr/lib/libwxsmithlib.*
/usr/share/codeblocks/plugins/libwxsmithcontribitems.*


%files devel
%defattr(-,root,root)

/usr/lib/libcodeblocks.so
/usr/lib/libcodeblocks.la
/usr/lib/libwxsmithlib.so
/usr/lib/libwxsmithlib.la
/usr/lib/pkgconfig/codeblocks.pc
/usr/include/codeblocks/*


#/*

#%{_datadir} /usr/share/

#%{_sysconfigdir} /etc/

#%{_includedir} /usr/include/

#%{_libdir} /usr/lib/

#%{_bindir} /usr/bin/

#%{_sbindir} /usr/sbin/

%clean

rm -rf $RPM_BUILD_ROOT

# Create menu entry

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics

#cat > $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/codeblocks.desktop <<EOF

#[Desktop Entry]

#Name=codeblocks

#GenericName=codeblocks Prog

#Comment=Absolut nutzlos

#Exec=codeblocks

#Icon=codeblocks.png

#Terminal=false

#Encoding=UTF-8

#Type=Application

#EOF

#chmod 644 $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/codeblocks.desktop



%changelog

* Sun Mar 02 2008 Lars Gottschol <largot@web.de> 8.02-1
- Version update
* Thu Oct 15 2007 Lars Gottschol <largot@web.de> 1.0svn4536-1
- Initial Release